import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type WaypointDocument = Waypoint & Document;

@Schema()
export class Waypoint {
  @Prop({
    required: true,
    type: String,
  })
  identifier: string;

  @Prop({
    required: true,
    type: Number,
  })
  latitude: number;

  @Prop({
    required: true,
    type: Number,
  })
  longitude: number;
}

export const WaypointSchema = SchemaFactory.createForClass(Waypoint);
